# KubeWeekly Guidelines

## Overview

KubeWeekly is a weekly e-mail newsletter covering Kubernetes, cloud-native, open source, and projects in the cloud-native ecosystem.

It is targeted at a technical audience (developers, IT operators), and curated by a team of editors from the Kubernetes community.

The newsletter is sent out every Friday.

## Contributing Guidelines

To provide high-value content to the community, the editors review article submissions based on these guidelines.

* We aim to highlight open source information, how-tos, and cloud native thought leadership
* Content should be of interest to the community as a whole, not just the users of a single commercial platform.
* Content does not have to be vendor-neutral, but a press release or commercial announcement that does not outline feature benefits or how to use the project / product is not appropriate.
* No gated content, unless in the webinar section.
* Articles should be published within the last month. Exceptions will be made for good content we missed.
* Only CNCF Online Programs, CNCF hosted events, and CNCF supported events are promoted in KubeWeekly

## Editor requirements:

Commitment: 1 year

* 1-2 hours a week; scanning for content and reviewing submissions (async)
* Wednesday afternoon for review time, add notes for articles not chosen
* Kickoff call/1x quarter to touch base 
* Actively contributing to 1x project
* Ability to have an unbiased/vendor-neutral perspective when choosing/approving articles


**Types of Content**
The types of content shared includes but is not limited to: 
* Articles
* Blogs
* Videos
* Podcasts
* GitHub repos
 
## Publication of events

With tens of thousands of people in the Kubernetes community, the editors could never keep up with the events and publish them in KubeWeekly. 

The only events shared in KubeWeekly are the CNCF Online Programs, CNCF hosted events, and CNCF supported events.

## To submit content
 
Interested in submitting an article? Submit your form [here](https://form.asana.com/?k=z6hNf3wVvlLxETIco730kw&d=9283783873717)
