
## Кодекс за поведение на общността

Като сътрудници, поддържащи и участващи в CNCF общността и в интерес на насърчаването на една открита и приобщаваща общност, ние се ангажираме да уважаваме всички хора, които участват или сътрудничат чрез съобщаване за проблеми, публикуване на заявки за характеристики, актуализиране на документация, подаване на заявки за пренос или обновявания, присъствие на конференции или събития или ангажиране в други общности или проектни дейности.

Ние сме ангажирани с това да осигурим участие без тормоз в CNCF общността за всички, независимо от възрастта, телосложението, кастата, наличието на увреждания, етноса, нивото на опит, семейното положение, пола, половата идентичност и изразяване, наличието на съпружески, военен статус или статус на ветеран, националността, външния вид, расата, религията, сексуалната ориентация, социо-икономическото положение, принадлежността към дадено племе или друго измерение на многообразието.

## Обхват

Този Кодекс за поведение на общността е приложим:

* в рамките на пространството на проекта и общността;
* в други пространства, когато думите или действията на даден участник в CNCF общността са насочени към или се отнасят до проект на CNCF, CNCF общността или друг участник в CNCF общността.

## Събития на CNCF

Събитията на CNCF, организирани от Фондация Linux с професионален персонал за събития се ръководят от [Кодекса за поведение за събития](https://events.linuxfoundation.org/code-of-conduct/) на Фондация Linux, наличен на страницата със събития. Той е създаден така че да се използва заедно с Кодекса за поведение на CNCF.

## Нашите стандарти

CNCF общността е открита, приобщаваща и уважителна. Всеки член на нашата общност има право неговата/нейната идентичност да бъде зачитана.

Примерите за поведение, което допринася за една позитивна среда, включват, но без да се ограничават до:

* Демонстриране на съчувствие и любезност към другите;
* Показване на уважение към чуждото мнение, гледна точка и опит;
* Предоставяне и любезно приемане на конструктивна обратна връзка;
* Приемане на отговорност и извинение към онези, засегнати от нашите грешки, както и учене от опита
* Акцентиране върху това, което е добро не само за нас индивидуално, но за цялата общност;
* Използване на приветстващ и приобщаващ език.

Примерите за недопустимо поведение включват, но без да се ограничават до:

* Използването на сексуален език или изображения;
* Тролващите, обиждащи или унизителни коментари, както и атаките на лична или политическа основа;
* Обществения или личен тормоз във всякаква форма;
* Публикуването на личната информация на други лица, като физически адрес или адрес на електронна поща, без тяхното изрично позволение;
* Насилието, заплахите за насилие или насърчаването на други да се включат в насилствено поведение;
* Преследването или следенето на някой без неговото/нейното съгласие;
* Нежелан физически контакт;
* Нежелан сексуален или романтичен интерес или аванси;
* Друго поведение, което обосновано би могло да бъде счетено за неуместно в професионална среда.

Забраняват се следните типове поведение:

* Предоставяне на информация, за която лицето е наясно, че е неточна или подвеждаща, във връзка с разследване относно Кодекса за поведение или друг вид умишлена намеса в разследване.
* Предприемане на ответни действия спрямо дадено лице, тъй като то е съобщило за инцидент или е предоставило информация за инцидент като свидетел.

Поддържащите проекта имат право и отговорност да премахват, редактират или отхвърлят коментари, ангажименти, кодове, wiki редакции, издания и други видове принос, които не са приведени в съответствие с този Кодекс за поведение. Приемайки този Кодекс за поведение, поддържащите проекта се ангажират да прилагат справедливо и последователно тези принципи спрямо всеки аспект на управлението на даден CNCF проект. Поддържащите проекта, които не следват, нито прилагат Кодекса за поведение, могат да бъдат отстранени временно или постоянно от екипа по проекта.

## Докладване

За инциденти, настъпили в общността Kubernetes, се свържете с [Комитета на Kubernetes по Кодекса за поведение](https://git.k8s.io/community/committee-code-of-conduct) на [conduct@kubernetes.io](Адреснаелектроннапоща:conduct@kubernetes.io). Можете да очаквате отговор в рамките на три работни дни.

За други проекти или за инциденти, които са агностични за даден проект или повлияват множество CNCF проекти, моля, свържете се с [Комитета на CNCF по Кодекса за поведение](https://www.cncf.io/conduct/committee/) на [conduct@cncf.io](Адреснаелектроннапоща:conduct@cncf.io). Също така, можете да се свържете с всеки от членовете на [Комитета на CNCF по Кодекса за поведение,](https://www.cncf.io/conduct/committee/) за да подадете Вашия доклад. За по-подробни инструкции относно това как да подадете доклад, включително как да подадете доклад анонимно, моля, вижте нашите [Процедури за разрешаване на инциденти](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-incident-resolution-procedures.md). Можете да очаквате отговор в рамките на три работни дни.

За инциденти, настъпили на събитие на CNCF, организирано от Фондация Linux, моля, свържете се с [eventconduct@cncf.io](Адреснаелектроннапоща:eventconduct@cncf.io).

## Прилагане

При преглед и разследване на докладван инцидент, екипът за предприемане на действия във връзка с Кодекса за поведение, който разполага с юрисдикция, ще определи какви действия са подходящи, въз основа на Кодекса за поведение и свързаната с него документация.

За информация относно това кои инциденти, свързани с Кодекса за поведение, биват поети от ръководството на екипа, кои инциденти се поемат от Комитета на CNCF по Кодекса за поведение и кои инциденти се поемат от Фондация Linux (включително нейния екип за събития), вижте нашата [Политика за юрисдикция](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-committee-jurisdiction-policy.md).

## Изменения

За спазване на последователността с Хартата на CNCF, всички значими промени в този Кодекс за поведение трябва да бъдат одобрени от Комитета за технически надзор.

## Позовавания

Този Кодекс е адаптиран от Споразумението на сътрудниците ([http://contributor-covenant.org](http://contributor-covenant.org/)), версия 2.0 е налична на [http://contributor-covenant.org/version/2/0/code_of_conduct/](http://contributor-covenant.org/version/2/0/code_of_conduct/)
