## Gemeinschafts-Verhaltenskodex

Als Mitwirkende, Betreuer und Teilnehmer der CNCF-Gemeinschaft und im Interesse der Förderung einer offenen und einladenden Gemeinschaft verpflichten wir uns dazu, alle Menschen zu respektieren, die sich durch Berichterstattung, Veröffentlichung von Eigenschaftsanfragen, Aktualisierung der Dokumentation, Einreichung von Pull-Anfragen oder Patches, Teilnahme an Konferenzen oder Veranstaltungen und anderen Aktivitäten der Gemeinschaft oder des Projekts beteiligen oder einen Beitrag leisten.

Wir sind bestrebt, die Teilnahme an der CNCF-Gemeinschaft für alle zu einer belästigungsfreien Erfahrung zu machen, unabhängig von Alter, Körpergröße, Kaste, Behinderung, ethnischer Zugehörigkeit, Erfahrungsstand, Familienstand, Geschlecht, geschlechtsspezifischer Identität und geschlechtsspezifischem Ausdruck, Familienstand, Militär- oder Veteranenstatus, Nationalität, persönlichem Aussehen, Ethnie, Religion, sexueller Orientierung, sozioökonomischem Status, Stammeszugehörigkeit oder jeder anderen Dimension der Vielfalt.

## Geltungsbereich

Dieser Verhaltenskodex gilt:
* innerhalb von Projekten und Gemeinschaftsräumen,
* in anderen Bereichen, wenn die Worte oder Handlungen eines einzelnen Teilnehmers der CNCF-Gemeinschaft an ein CNCF-Projekt, die CNCF-Gemeinschaft oder einen anderen Teilnehmer der CNCF-Gemeinschaft gerichtet sind oder sich darauf beziehen.

## CNCF-Veranstaltungen

Für CNCF-Veranstaltungen, die von der Linux-Stiftung mit professionellem Veranstaltungspersonal durchgeführt werden, gilt der [Verhaltenskodex für Veranstaltungen](https://events.linuxfoundation.org/code-of-conduct/) der Linux-Stiftung, der auf der Veranstaltungsseite verfügbar ist. Dieser soll in Verbindung mit dem CNCF-Verhaltenskodex angewandt werden.

## Unsere Standards

Die CNCF-Gemeinschaft ist offen, inklusiv und respektvoll. Jedes Mitglied unserer Gemeinschaft hat das Recht, dass seine Identität respektiert wird.

Beispiele für ein Verhalten, das zu einem positiven Umfeld beiträgt, sind unter anderem:
* Einfühlungsvermögen und Freundlichkeit gegenüber anderen Menschen zeigen
* Unterschiedliche Meinungen, Standpunkte und Erfahrungen respektieren
* Konstruktives Feedback geben und mit Anstand annehmen
* Verantwortung übernehmen und sich bei denjenigen entschuldigen, die von unseren Fehlern betroffen sind, und aus der Erfahrung lernen
* Sich auf das konzentrieren, was nicht nur für uns als Individuen, sondern für die gesamte Gemeinschaft am besten ist
* Eine einladende und inklusive Sprache verwenden

Beispiele für inakzeptables Verhalten sind unter anderem:
* Der Gebrauch von sexualisierter Sprache oder Bildern
* Trolling, beleidigende oder herabwürdigende Kommentare und persönliche oder politische Angriffe
* Öffentliche oder private Belästigung in jeder Form
* Die Veröffentlichung privater Informationen anderer, wie z. B. einer physischer oder E-Mail-Adresse, ohne deren ausdrückliche Genehmigung
* Gewalt, Androhung von Gewalt oder Aufforderung anderer zu gewalttätigem Verhalten
* Stalking oder Verfolgung von Personen ohne deren Zustimmung
* Unerwünschter Körperkontakt
* Unerwünschte sexuelle oder romantische Avancen/Annäherungsversuche
* Sonstiges Verhalten, das in einem beruflichen Umfeld als unangemessen angesehen werden könnte

Die folgenden Verhaltensweisen sind ebenfalls verboten:
* Wissentlich falsche oder irreführende Angaben im Zusammenhang mit einer Untersuchung zum Verhaltenskodex oder eine anderweitige absichtliche Manipulation einer Untersuchung
* Vergeltungsmaßnahmen gegen eine Person, weil sie einen Vorfall gemeldet oder Informationen über einen Vorfall als Zeuge zur Verfügung gestellt hat

Projektbetreuer haben das Recht und die Verantwortung, Kommentare, Commits, Code, Wiki-Bearbeitungen, Probleme und andere Beiträge zu entfernen, zu bearbeiten oder abzulehnen, die nicht mit diesem Verhaltenskodex übereinstimmen. Mit der Annahme dieses Verhaltenskodex verpflichten sich die Projektbetreuer, diese Grundsätze fair und konsequent auf jeden Aspekt der Leitung eines CNCF-Projekts anzuwenden. Projektbetreuer, die den Verhaltenskodex nicht befolgen oder durchsetzen, können vorübergehend oder dauerhaft vom Projektteam ausgeschlossen werden.

## Berichterstattung

Bei Vorfällen in der Kubernetes-Gemeinschaft wenden Sie sich bitte an das [Kubernetes-Komitee für Verhaltenskodex](https://git.k8s.io/community/committee-code-of-conduct) unter [conduct@kubernetes.io](mailto:conduct@kubernetes.io). Sie können innerhalb von drei Werktagen mit einer Antwort rechnen.

Bei anderen Projekten oder bei Vorfällen, die projektunabhängig sind oder mehrere CNCF-Projekte betreffen, wenden Sie sich bitte an das [Komitee für den CNCF-Verhaltenskodex](https://www.cncf.io/conduct/committee/) unter [conduct@cncf.io](mailto:conduct@cncf.io). Alternativ können Sie sich auch an irgendein einzelnes Mitglied des [Komitees für den CNCF-Verhaltenskodex](https://www.cncf.io/conduct/committee/) wenden, um Ihren Bericht einzureichen. Ausführlichere Anweisungen zum Einreichen eines Berichts, einschließlich der Möglichkeit, anonym Bericht zu erstatten, finden Sie in unseren [Verfahren zur Lösung von Vorfällen](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-incident-resolution-procedures.md). Sie können innerhalb von drei Werktagen mit einer Antwort rechnen.

Bei Vorfällen, die sich auf einer CNCF-Veranstaltung ereignen, die von der Linux-Stiftung durchgeführt wird, schreiben Sie bitte an [eventconduct@cncf.io](mailto:eventconduct@cncf.io).

## Durchsetzung

Nach Prüfung und Untersuchung eines gemeldeten Vorfalls entscheidet das zuständige CoC-Reaktionsteam, welche Maßnahmen auf der Grundlage dieses Verhaltenskodex und der zugehörigen Dokumentation angemessen sind.

Informationen darüber, welche Vorfälle im Zusammenhang mit dem Verhaltenskodex von der Projektleitung, welche vom Komitee für den CNCF-Verhaltenskodex und welche von der Linux-Stiftung (einschließlich ihres Veranstaltungsteams) bearbeitet werden, finden Sie in unserer [Zuständigkeitsrichtlinie](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-committee-jurisdiction-policy.md).

## Ergänzungen

In Übereinstimmung mit der CNCF-Charta müssen alle wesentlichen Änderungen an diesem Verhaltenskodex vom Technischen Überwachungsausschuss genehmigt werden.

## Danksagung

Dieser Verhaltenskodex wurde aus dem Contributor Covenant übernommen ([http://contributor-covenant.org](http://contributor-covenant.org/)), Version 2.0, verfügbar unter [http://contributor-covenant.org/version/2/0/code_of_conduct/](http://contributor-covenant.org/version/2/0/code_of_conduct/)