## Közösségi Magatartási Kódex

Mint a CNCF közösség közreműködői, fenntartói és résztvevői, vállaljuk, hogy egy nyitott és befogadó közösség kialakítása érdekében, tiszteletben tartunk minden olyan személyt, aki részt vesz vagy hozzájárul a közösséghez, problémák jelentésével, funkciók kérésével, dokumentáció frissítésével, pull requestek vagy javítások benyújtásával, konferenciákon vagy eseményeken való részvétellel, vagy egyéb közösségi vagy projekt tevékenységel.

Elkötelezettek vagyunk amellett, hogy a CNCF közösségben való részvétel zaklatásmentes élmény legyen mindenki számára, függetlenül kortól, testmérettől, kaszttól, fogyatékosságtól, etnikai hovatartozástól, tapasztalati szinttől, családi állapottól, nemtől, nemi identitástól és kifejeződéstől, családi állapottól, katonai vagy veterán státusztól, nemzetiségtől, megjelenéstől, fajtól, vallástól, szexuális irányultságtól, társadalmi-gazdasági státusztól, törzsi hovatartozástól, vagy a sokszínűség bármely más dimenziójától.

## Hatáskör

Ez a magatartási kódex érvényes:

* projekt és közösségi terekben,
* más terekben, ahol egy CNCF közösségi résztvevő szavai vagy cselekedetei egy CNCF projektre, a CNCF közösségre, vagy egy másik CNCF közösségi résztvevőre irányulnak vagy róluk szólnak.

## CNCF Események

A Linux Foundation által professzionális eseményszervezőkkel megvalósított CNCF eseményekre a Linux Foundation [Események Magatartási Kódexe](https://events.linuxfoundation.org/code-of-conduct/) vonatkozik, amely az esemény oldalán elérhető. Utóbbi a CNCF Magatartási Kódexszel együtt használandó.

## Alapelveink

A CNCF közösség nyitott, befogadó és tiszteletteljes. Közösségünk minden tagjának joga van ahhoz, hogy identitását tiszteletben tartsák.

A pozitív környezethez hozzájáruló viselkedés példái többek között:

* Empátiával és kedvességel viszonyulni másokhoz
* Tiszteletteljes hozzáállás az eltérő véleményekkel, nézőpontokkal és
  tapasztalatokkal szemben
* Konstruktív visszajelzés adása és elfogadása
* Felelősség vállalása és bocsánatkérés azoktól, akiket hibáink
  érintettek,valamint a megfelelő tanulság levonása az esetből
* Koncentrálás arra, ami nem csak egyénileg, hanem az egész közösség
  számára a legjobb
* Befogadó és inkluzív nyelvhasználat

Elfogadhatatlan viselkedés példái többek között:

* Szexualizált nyelvezet vagy képek használata
* Trollkodás, sértő vagy lekicsinylő megjegyzések, valamint személyes
  vagy politikai támadások
* Bármilyen formájú nyilvános vagy privát zaklatás
* Mások magáninformációinak közzététele, például fizikai vagy e-mail cím,
  kifejezett engedélyük nélkül
* Erőszak, megfélemlítés, vagy mások erőszakos viselkedésre való biztatása
* Mások követése vagy megfigyelése beleegyezésük nélkül
* Nem kívánt fizikai érintkezés
* Nem kívánt szexuális vagy romantikus figyelem vagy közeledés
* Egyéb magatartás, amely ésszerűen nem megfelelőnek tekinthető szakmai környezetben

Az alábbi viselkedések szintén nem megengedettek:

* Tudatosan hamis vagy félrevezető információk szolgáltatása egy fegyelmi vizsgálattal kapcsolatban, vagy egyéb módon szándékos beavatkozás egy vizsgálatba.
* Megtorlás egy személy ellen, mert jelentett egy incidenst vagy tanúként információt szolgáltatott egy incidensről.

A projekt fenntartóinak joga és felelőssége eltávolítani, szerkeszteni vagy elutasítani olyan hozzászólásokat, commit-okat, kódokat, wiki szerkesztéseket, problémákat és egyéb hozzájárulásokat, amelyek nincsenek összhangban ezzel a Magatartási Kódex-szel.
A Magatartási Kódex elfogadásával a projekt fenntartói kötelezettséget vállalnak arra, hogy ezeket az elveket tisztességesen és következetesen alkalmazzák egy CNCF projekt kezelésének minden aspektusában.
Azon projekt fenntartók, akik nem követik vagy nem érvényesítik a Magatartási Kódexet, ideiglenesen vagy véglegesen eltávolíthatók a projekt csapatából.

## Jelentés

A Kubernetes közösségben történő incidensek esetén vegye fel a kapcsolatot a [Kubernetes Magatartási Kódex Bizottságával](https://git.k8s.io/community/committee-code-of-conduct) a <conduct@kubernetes.io> címen. Három munkanapon belül választ várhat.

Más projektek esetében, vagy olyan incidensek esetén, amelyek projekt-függetlenek vagy több CNCF projektet érintenek, kérjük, vegye fel a kapcsolatot a [CNCF Magatartási Kódex Bizottságával](https://www.cncf.io/conduct/committee/) a <conduct@cncf.io> címen. Alternatívaként kapcsolatba léphet a [CNCF Magatartási Kódex Bizottság](https://www.cncf.io/conduct/committee/) bármely tagjával a jelentése benyújtásához. A jelentés benyújtásának részletesebb útmutatójáért, beleértve azt is, hogyan nyújthat be névtelen jelentést, kérjük, tekintse meg az [Incidens Megoldási Eljárásainkat](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-incident-resolution-procedures.md). Három munkanapon belül választ várhat.

A Linux Foundation által szervezett CNCF eseményen történő incidensek esetén kérjük, vegye fel a kapcsolatot az <eventconduct@cncf.io> címen.

## Végrehajtás

A bejelentett incidens áttekintése és kivizsgálása után az illetékes válaszadó csapat meghatározza, hogy milyen intézkedés megfelelő a Magatartási Kódex és a kapcsolódó dokumentáció alapján.

Hogy mely Magatartási Kódex incidenseket kezelik a projekt vezetői, mely incidenseket kezeli a CNCF Magatartási Kódex Bizottság, és mely incidenseket kezeli a Linux Foundation (beleértve annak eseménycsapatát is), lásd a [Joghatósági Szabályzatunkat](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-committee-jurisdiction-policy.md).

## Kiegészítés

A CNCF Alapszabályzatával összhangban jelen Magatartási Kódex bármely lényegi változtatását a Műszaki Felügyeleti Bizottságnak kell jóváhagynia.

## Köszönetnyilvánítás

Ez a Magatartási Kódex a Contributor Covenant <http://contributor-covenant.org> 2.0-ás verziójának adaptációja, amely elérhető a <http://contributor-covenant.org/version/2/0/code_of_conduct/> címen.
