# Kode Etik Komunitas

Sebagai kontributor, pengelola, dan peserta dalam komunitas CNCF, dan untuk membina komunitas yang terbuka dan ramah, kami berjanji akan menghormati semua orang yang berpartisipasi atau berkontribusi dengan melaporkan masalah, memposting permintaan fitur, memperbarui dokumentasi, mengirim permintaan penarikan atau perbaikan, menghadiri konferensi atau acara, atau terlibat dalam aktivitas komunitas atau proyek lainnya.

Kami berkomitmen untuk memberikan pengalaman bebas pelecehan bagi semua orang yang berpartisipasi dalam komunitas CNCF, tanpa memandang usia, ukuran tubuh, kasta, disabilitas, etnis, tingkat pengalaman, status keluarga, gender, identitas dan ekspresi gender, status perkawinan, status militer atau veteran, kewarganegaraan, penampilan pribadi, ras, agama, orientasi seksual, status sosial ekonomi, suku, atau dimensi keberagaman lainnya.

## Ruang Lingkup

Kode etik ini berlaku:
* dalam ruang lingkup proyek dan komunitas,
* dalam ruang lingkup lain ketika ucapan atau tindakan seorang peserta komunitas CNCF ditujukan untuk atau terkait dengan proyek CNCF, komunitas CNCF, atau peserta komunitas CNCF lainnya.

### Acara CNCF

Acara CNCF yang diselenggarakan oleh Linux Foundation bersama staf acara profesional diatur dalam [Kode Etik Acara](https://events.linuxfoundation.org/code-of-conduct/) Linux Foundation yang tersedia di halaman acara. Kode Etik Acara ini dirancang untuk digunakan bersama dengan Kode Etik CNCF.

## Standar Kami

Komunitas CNCF bersifat terbuka, inklusif, dan saling menghormati. Setiap anggota dalam komunitas kami berhak untuk dihormati identitasnya.

Contoh perilaku yang berkontribusi menciptakan lingkungan positif mencakup, tetapi tidak terbatas pada:
* Menunjukkan empati dan kebaikan kepada orang lain
* Menghargai pendapat, sudut pandang, dan pengalaman yang berbeda
* Memberi dan menerima masukan yang membangun dengan lapang dada
* Bertanggung jawab dan meminta maaf kepada mereka yang terkena dampak dari kesalahan kita, serta belajar dari pengalaman
* Berfokus pada apa yang terbaik, tidak hanya bagi kita secara pribadi, tetapi juga bagi komunitas secara keseluruhan
* Menggunakan bahasa yang inklusif dan ramah

Contoh perilaku yang tidak dapat diterima mencakup, tetapi tidak terbatas pada:
* Penggunaan bahasa atau gambaran yang berkonotasi seksual
* Komentar yang mengejek, menghina, atau merendahkan, dan serangan pribadi atau politik
* Pelecehan publik atau pribadi dalam bentuk apa pun
* Pemublikasian informasi pribadi orang lain, seperti alamat fisik atau email, tanpa izin tersurat dari pemiliknya
* Kekerasan, ancaman kekerasan, atau dorongan kepada orang lain untuk melakukan tindakan kekerasan
* Perbuatan menguntit atau mengikuti seseorang tanpa persetujuan orang tersebut
* Sentuhan fisik yang tidak diinginkan
* Perhatian atau rayuan seksual atau romantis yang tidak diinginkan
* Perilaku lain yang secara wajar dapat dianggap tidak patut di lingkungan profesional

Berikut adalah perilaku yang juga dilarang:
* Memberikan informasi palsu atau menyesatkan secara disengaja terkait penyelidikan Kode Etik atau dengan sengaja mengganggu penyelidikan.
* Melakukan tindakan balasan terhadap seseorang karena telah melaporkan suatu kejadian atau memberikan informasi tentang suatu kejadian sebagai saksi.

Pengelola proyek berhak dan bertanggung jawab untuk menghapus, mengedit, atau menolak komentar, komitmen, kode, pengeditan wiki, masalah, dan kontribusi lainnya yang tidak sejalan dengan Kode Etik ini. Dengan menerapkan Kode Etik ini, pengelola proyek berkomitmen untuk menerapkan prinsip-prinsip ini secara adil dan konsisten di setiap aspek pengelolaan proyek CNCF. Pengelola proyek yang tidak mengikuti atau menegakkan Kode Etik dapat dikeluarkan dari tim proyek untuk sementara waktu atau secara permanen.

## Pelaporan

Untuk insiden yang terjadi di komunitas Kubernetes, hubungi [Komite Kode Etik Kubernetes](https://git.k8s.io/community/committee-code-of-conduct) melalui [conduct@kubernetes.io](mailto:conduct@kubernetes.io). Tanggapan biasanya akan diberikan dalam waktu tiga hari kerja.

Untuk proyek lain, atau untuk insiden yang tidak terkait proyek atau yang berdampak pada beberapa proyek CNCF, hubungi [Komite Kode Etik CNCF](https://www.cncf.io/conduct/committee/) melalui [conduct@cncf.io](mailto:conduct@cncf.io). Anda juga dapat menghubungi salah satu anggota [Komite Kode Etik CNCF](https://www.cncf.io/conduct/committee/) secara pribadi untuk mengirimkan laporan Anda. Untuk petunjuk lebih terperinci tentang cara mengirimkan laporan, termasuk cara mengirimkan laporan secara anonim, lihat [Prosedur Penyelesaian Insiden](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-incident-resolution-procedures.md). Tanggapan biasanya akan diberikan dalam waktu tiga hari kerja.

Untuk insiden yang terjadi di acara CNCF yang diselenggarakan oleh Linux Foundation, hubungi [eventconduct@cncf.io](mailto:eventconduct@cncf.io).

## Pelaksanaan

Setelah meninjau dan menyelidiki insiden yang dilaporkan, tim respons CoC yang memiliki yurisdiksi akan menentukan tindakan yang tepat berdasarkan Kode Etik ini dan dokumentasi terkait.

Untuk informasi mengenai insiden Kode Etik yang ditangani oleh pimpinan proyek, insiden yang ditangani oleh Komite Kode Etik CNCF, dan insiden yang ditangani oleh Linux Foundation (termasuk tim acaranya), lihat [Kebijakan Yurisdiksi](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-committee-jurisdiction-policy.md) kami.

## Amendemen

Sesuai dengan Piagam CNCF, persetujuan dari Komite Pengawasan Teknis diperlukan untuk setiap perubahan substantif terhadap Kode Etik ini.

## Pernyataan

Kode Etik ini diadaptasi dari Perjanjian Kontributor ([http://contributor-covenant.org](http://contributor-covenant.org/)) versi 2.0 yang tersedia di [http://contributor-covenant.org/version/2/0/code_of_conduct/](http://contributor-covenant.org/version/2/0/code_of_conduct/)
