## 커뮤니티 행동 강령

CNCF 커뮤니티의 기여자(contributor), 메인테이너(maintainer), 참여자로서 개방적이고 친근한 분위기의 커뮤니티 조성을 위하여, 저희는 이슈 보고, 기능 요청, 문서 업데이트, 풀 리퀘스트(pull request) 또는 패치(patch) 제출, 컨퍼런스 또는 이벤트 참석, 기타 커뮤니티 또는 프로젝트 활동 참여를 통해 커뮤니티에 참여하거나 기여하는 모든 분을 존중할 것을 서약합니다.

저희는 나이, 신체 크기, 계급, 장애, 민족, 경력 수준, 가족 구성원, 성별, 성 정체성 및 표현(gender identity and expression), 결혼 여부, 군필 또는 퇴역 여부, 국적, 외모, 인종, 종교, 성적 지향, 사회경제적 지위, 부족 또는 기타 다양성의 차원에 관계없이 모두가 괴롭힘 없는 환경에서 CNCF 커뮤니티에 참여할 수 있도록 최선을 다하고 있습니다.

## 범위

본 행동 강령이 적용됩니다:
* 프로젝트 및 커뮤니티 공간 내부에서,
* 다른 공간에서 개별 CNCF 커뮤니티 참여자의 말이나 행동이 CNCF 프로젝트, CNCF 커뮤니티, 또는 다른 CNCF 커뮤니티 참여자를 대상으로 하거나 이에 관한 것일 경우.

## CNCF 이벤트

리눅스 재단이 전문 이벤트 스태프와 함께 진행하는 CNCF 이벤트는 리눅스 재단의 [이벤트 행동 강령](https://events.linuxfoundation.org/code-of-conduct/)을 따르며, 해당 내용은 이벤트 페이지에서 확인할 수 있습니다. 이는 CNCF 행동 강령과 함께 사용하도록 설계되었습니다.

## 우리의 기준

CNCF 커뮤니티는 개방적이고 포용적이며 서로를 존중합니다. 커뮤니티의 모든 구성원은 자신의 정체성을 존중받을 권리가 있습니다.

참여자에게 권장되는 행동의 예시는 다음과 같지만 이에 국한되지 않습니다:
* 다른 사람에 대한 공감과 친절함을 보여주기
* 서로 다른 의견, 관점, 경험을 존중하기
* 건설적인 피드백을 제공하고 정중하게 수용하기
* 우리의 실수로 인해 영향을 받은 사람들에게 책임이 있음을 인정하고 사과하며, 경험을 통해 교훈 얻기
* 개인뿐만 아니라 전체 커뮤니티를 위해 무엇이 최선인지에 초점 맞추기
* 따뜻하고 포용적인 언어 사용하기

참여자에게 금지하는 행동의 예시는 다음과 같지만 이에 국한되지 않습니다:
* 성적인 언어 또는 이미지 사용
* 트롤링, 모욕적이거나 경멸적인 댓글, 개인적 또는 정치적인 공격을 하는 행위
* 모든 형태의 공개적이거나 사적인 괴롭힘
* 타인의 명시적 허가 없이 주소 또는 전자 주소와 같은 타인의 개인 정보를 공개하는 행위
* 폭력, 폭력 위협 또는 타인에게 폭력적인 행동을 하도록 부추기는 행위
* 상대방의 동의 없이 스토킹 또는 미행하는 행위
* 원치 않는 신체적 접촉
* 원치 않는 성적 또는 연애적 관심이나 접근
* 기타 전문적인 환경에서 합리적으로 부적절한 것으로 간주될 수 있는 행위

다음과 같은 행위도 금지됩니다:
* 행동 강령 조사와 관련하여 고의로 허위 또는 오해의 소지가 있는 정보를 제공하거나 조사를 의도적으로 조작하는 행위.
* 사건을 신고하거나 목격자로서 사건에 대한 정보를 제공했다는 이유로 보복하는 행위.

프로젝트 메인테이너(maintainer)는 본 행동 강령에 부합하지 않는 코멘트, 커밋(commit), 코드, 위키(wiki) 수정, 이슈 및 그 밖의 기여에 대해서 삭제, 수정, 거부할 권한과 책임이 있습니다. 본 행동 강령을 채택함으로써, 프로젝트 메인테이너는 CNCF 프로젝트를 관리하는 모든 상황에 이러한 원칙을 공정하고 일관적으로 적용할 것을 약속해야 합니다. 행동 강령을 따르지 않거나 이행하지 않는 프로젝트 메인테이너는 프로젝트 팀에서 일시적 또는 영구적으로 제명될 수 있습니다.

## 보고하기

쿠버네티스 커뮤니티에서 발생하는 사건에 대해서는 이메일[conduct@kubernetes.io](mailto:conduct@kubernetes.io)를 통해 [쿠버네티스 행동 강령 위원회](https://git.k8s.io/community/committee-code-of-conduct)에 신고할 수 있습니다. 영업일 기준 3일 이내에 답변을 받으실 수 있습니다.

기타 프로젝트 또는 프로젝트와 무관하거나 여러 CNCF 프로젝트에 영향을 미치는 사건에 대해서는 이메일 [conduct@cncf.io](mailto:conduct@cncf.io)를 통해 [CNCF 행동 강령 위원회](https://www.cncf.io/conduct/committee/)에 신고할 수 있습니다. 대안으로, [CNCF 행동 강령 위원회](https://www.cncf.io/conduct/committee/)의 개별 위원에게 연락하여 신고서를 제출할 수도 있습니다. 익명으로 신고하는 방법을 포함하여 신고를 제출하는 방법에 대한 자세한 지침을 알고 싶으시다면 [사건 해결 절차](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-incident-resolution-procedures.md)를 참조하세요. 영업일 기준 3일 이내에 답변을 받으실 수 있습니다.

리눅스 재단에서 주최하는 CNCF 행사에서 발생한 사건에 대해서는 이메일 [eventconduct@cncf.io](mailto:eventconduct@cncf.io)로 신고하시기 바랍니다.

## 시행

신고된 사건을 검토하고 조사하면, 관할권을 가진 CoC 대응팀이 본 행동 강령 및 관련 문서를 바탕으로 적절한 조치를 결정합니다.

프로젝트 리더십이 처리하는 행동 강령 사건, CNCF 행동 강령 위원회가 처리하는 사건, 리눅스 재단(이벤트 팀 포함)이 처리하는 사건에 대한 자세한 내용은 [관할권 정책](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-committee-jurisdiction-policy.md)을 참조하세요.

## 개정

CNCF 헌장에 따라 본 행동 강령의 실질적인 변경은 기술감독위원회의 승인을 받아야 합니다.

## 승인

본 행동 강령은 기여자 서약([http://contributor-covenant.org](http://contributor-covenant.org/))의 버전 2.0을 적용하였으며, 해당 내용은 이 페이지 [http://contributor-covenant.org/version/2/0/code_of_conduct/](http://contributor-covenant.org/version/2/0/code_of_conduct/)에서 확인할 수 있습니다.
