## Código de Conduta da comunidade

Como colaboradores, mantenedores e participantes da Comunidade da CNCF, e no interesse de fomentar uma comunidade aberta e acolhedora, nos comprometemos a respeitar todas as pessoas que participam ou contribuem relatando problemas, publicando solicitações de recursos, atualizando documentações, enviando solicitações pull ou patches, participando de conferências ou eventos ou se envolvendo em outras atividades da comunidade ou de projetos.

Temos o compromisso de fazer com que a participação na comunidade da CNCF seja uma experiência livre de assédio para todos, independentemente de idade, tamanho corporal, casta, deficiência, etnia, nível de experiência, situação familiar, gênero, identidade e expressão de gênero, estado civil, situação militar ou de veterano, nacionalidade, aparência pessoal, raça, religião, orientação sexual, status socioeconômico, tribo ou qualquer outra dimensão de diversidade.

## Escopo

Este código de conduta se aplica:
* em espaços de projeto e da comunidade,
* em outros espaços em que as palavras e as ações de um participante da comunidade da CNCF são dirigidas ou se referem a um projeto da CNCF, à comunidade ou a outro participante da comunidade da CNCF.

## Eventos da CNCF

Os eventos da CNCF que são produzidos pela Linux Foundation com equipes profissionais de eventos são regidos pelo [Código de Conduta de Eventos](https://events.linuxfoundation.org/code-of-conduct/) disponível na página do evento. Ele foi concebido para ser utilizado em conjunto com o Código de Conduta da CNCF.

## Nossos padrões

A Comunidade da CNCF é aberta, inclusiva e respeitosa. Todos os membros da nossa comunidade têm o direito de ter sua identidade respeitada.

Exemplos de comportamentos que contribuem para um ambiente positivo incluem, mas não se limitam a:
* Demonstrar empatia e gentileza para com outras pessoas
* Ser respeitoso com diferentes opiniões, pontos de vista e experiências
* Dar e aceitar feedback construtivo educadamente
* Assumir a responsabilidade e pedir desculpas a quem foi impactado por seus erros, bem como aprender com a experiência
* Concentrar-se não apenas no que é melhor para nós individulamente, mas para a comunidade em geral
* Usar uma linguagem acolhedora e inclusiva

Exemplos de comportamentos inaceitáveis incluem, mas não se limitam a:
* Usar linguagem ou imagens sexualizadas
* Trolar, fazer comentários ofensivos ou depreciativos e ataques pessoais ou políticos
* Praticar assédio, sob qualquer forma, pública ou privadamente
* Publicar informações privadas de outras pessoas, como endereço físico ou de e-mail, sem permissão explícita
* Usar de violência, fazer ameaça de violência ou incentivar outras pessoas a se envolver em comportamentos violentos
* Perseguir ou acompanhar alguém sem consentimento
* Fazer contato físico indesejado
* Praticar atenção ou investidas sexuais ou românticas indesejadas
* Comportar-se de outras maneiras que poderiam razoavelmente ser consideradas inapropriadas em um contexto profissional

Os comportamentos a seguir também são proibidos:
* Fornecer informações sabidamente falsas ou enganosas em relação a uma investigação referente ao Código de Conduta ou, de outra forma, interferir em uma ivestigação.
* Retaliar uma pessoa porque ela denunciou um incidente ou forneceu informações sobre um incidente na condição de testemunha.

Os mantenedores de projetos têm o direito e a responsabilidade de remover, editar ou rejeitar comentários, commits, códigos, edições da wiki, problemas e outras contribuições que não estiverem alinhadas com este Código de Conduta. Ao adotar este Código de Conduta, os mantenedores de projetos se comprometem a aplicar esses princípios, de maneira justa e consistente, a todos os aspectos do gerenciamento de um projeto da CNCF. Os mantenedores de projetos que não seguirem ou aplicarem o Código de Conduta podem ser, temporária ou permanentemente, removidos da equipe do projeto.

## Denúncias

Para incidentes ocorridos na comunidade Kubernetes, entre em contato com o [Comitê do Código de Conduta da Kubernetes](https://git.k8s.io/community/committee-code-of-conduct) via [conduct@kubernetes.io](mailto:conduct@kubernetes.io). Você pode aguardar uma resposta dentro de três dias úteis.

No caso de outros projetos, ou de incidentes que sejam independentes de um projeto ou que impactem diversos projetos da CNCF, entre em contato com o [Comité do Código de Conduta da CNCF](https://www.cncf.io/conduct/committee/) via [conduct@cncf.io](mailto:conduct@cncf.io). Como alternativa, você pode entrar em contato com qualquer um dos membros individuais do [Comitê do Código de Conduta da CNCF](https://www.cncf.io/conduct/committee/) para enviar sua denúncia. Para obter mais instruções detalhadas sobre como enviar uma denúncia, incluindo como enviar uma denúncia de forma anônima, consulte nossos [Procedimentos de resolução de incidentes](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-incident-resolution-procedures.md). Você pode aguardar uma resposta dentro de três dias úteis.

No caso de incidentes ocorridos em um evento da CNCF que seja produzido pela Linux Foundation, entre em contato via [eventconduct@cncf.io](mailto:eventconduct@cncf.io).

## Aplicação

Após analisar e investigar a denúncia de um incidente, a equipe de resposta do CoC competente determinará qual é a ação apropriada com base neste Código de Conduta e em sua documentação correspondente.

Para mais informações sobre quais incidentes referentes ao Código de Conduta são tratados pela liderança do projeto, quais incidentes são tratados pelo Comitê do Código de Conduta da CNCF e quais incidentes são tratados pela Linux Foundation (incluindo sua euipe de eventos) consulte nossa [Política de Competência](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-committee-jurisdiction-policy.md).

## Alterações

Em consonância com a diretriz da CNCF, quaisquer alterações substanciais deste Código de Conduta devem ser aprovadas pelo Comitê de supervisão técnica.

## Agradecimentos

Este Código de Conduta é uma adaptação da Contributor Convenant ([http://contributor-covenant.org](http://contributor-covenant.org/)), versão 2.0 disponível em [http://contributor-covenant.org/version/2/0/code_of_conduct/](http://contributor-covenant.org/version/2/0/code_of_conduct/)
