## Кодекс поведения Сообщества

В качестве участников и кураторов Сообщества CNCF а также в интересах создания открытого и гостеприимного сообщества, мы обязуемся уважать всех людей, которые принимают участие или содействуют работе Сообщества с помощью сообщения о неполадках, запросов на разработку нового функционала, обновления документации, внесения изменений и исправления неполадок, посещения конференций или мероприятий, а также участвуя в другой деятельности Сообщества или проектной деятельности.

Мы стремимся сделать участие в Сообществе CNCF свободным от притеснений для каждого, независимо от возраста, размер тела, кастовой принадлежности, инвалидности, этнической принадлежности, опыта, семейного положения, пола, гендерной идентичности и самовыражения, статуса военнослужащего или ветерана, национальности, внешности, расовой принадлежности, вероисповедания, сексуальной ориентации, социально-экономического положения, сословия или любого другого измерения культурно-личностного разнообразия.

## Сфера применения

Настоящий Кодекс поведения применяется:
* В рамках проектов и в пространствах Сообщества.
* В случаях, когда слова или действия отдельного участника Сообщества CNCF касаются проекта CNCF, Сообщества CNCF или другого участника Сообщества CNCF.

## Мероприятия CNCF

Мероприятия CNCF, которые проводятся Фондом Linux с участием специалистов по организации мероприятий, регулируются [Кодексом поведения при проведении мероприятий Фонда Linux](https://events.linuxfoundation.org/code-of-conduct/), ознакомится с которым можно на странице мероприятия. Он должен использоваться вместе с Кодексом поведения сообщества CNCF.

## Наши стандарты

Сообщество CNCF открыто, инклюзивно и уважительно. Каждый член нашего сообщества имеет право на уважение к своей личности.

Помимо прочего, примеры поведения, способствующего созданию позитивной среды, включают:
* Демонстрацию сочувствия и доброты по отношению к другим.
* Уважение к различным мнениям, точкам зрения и опыту.
* Предоставление и вежливое принятие конструктивных отзывов.
* Принятие ответственности и принесение извинений тем, на кого повлияли наши ошибки, а также извлечение уроков из опыта.
* Сосредоточенность на том, что лучше не только лично для нас, но и для сообщества в целом.
* Использование приветственных и инклюзивных оборотов речи.

Помимо прочего, примеры неприемлемого поведения включают:
* Использование оборотов речи или изображений сексуального характера.
* Троллинг, оскорбительные или уничижительные комментарии, личностные или политические нападки.
* Домогательства любой формы и проявления.
* Публикация личной информации других лиц, такой как физические или электронные адреса, без явного разрешения от этих лиц.
* Насилие, угрозы насилием или поощрение других лиц к агрессивному поведению.
* Навязчивое преследование или слежка за человеком без его согласия.
* Нежелательный физический контакт.
* Проявление нежелательного сексуального или романтического интереса или нежелательные ухаживания.
* Другое неэтичное или непрофессиональное поведение.

Также запрещаются следующие действия:
* Предоставление заведомо ложной или вводящей в заблуждение информации в связи с расследованием нарушения Кодекса поведения или любое иное умышленное вмешательство в ход расследования.
* Месть человеку за то, что он сообщил о происшествии или предоставил информацию о происшествии в качестве свидетеля.

Кураторы проекта имеют право и ответственность удалять, редактировать или отклонять комментарии, операции подтверждения изменений, код, правки вики-страниц, вопросы и другие материалы, которые не соответствуют критериям Кодекса поведения. Приняв этот Кодекс поведения, кураторы проекта берут на себя обязательство справедливо и последовательно применять эти принципы к каждому аспекту управления проектом CNCF. Кураторы проекта, которые не следуют или не соблюдают Кодекс поведения, могут быть временно или навсегда удалены из проекта.

## Информирование

Чтобы проинформировать об инцидентах в проекте Kubernetes, отправьте сообщение в [Комитет правил поведения в Kubernetes](https://git.k8s.io/community/committee-code-of-conduct) на электронный адрес: [conduct@kubernetes.io](mailto:conduct@kubernetes.io). Ожидать ответ можно в течение трех рабочих дней.

Для других проектов или инцидентов, которые не связаны с конкретным проектом или влияют на несколько проектов CNCF, отправьте сообщение в [Комитет правил поведения CNCF](https://www.cncf.io/conduct/committee/) на электронный адрес: [conduct@cncf.io](mailto:conduct@cncf.io). В качестве альтернативы, вы можете обратиться к любому из членов [Комитета правил поведения CNCF](https://www.cncf.io/conduct/committee/), чтобы подать свое сообщение. Более подробные инструкции о том, как отправить сообщение, в том числе как отправить сообщение анонимно, можно найти в наших [Процедурах разрешения инцидентов](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-incident-resolution-procedures.md). Ожидать ответ можно в течение трех рабочих дней.

В связи с инцидентами, произошедшими на мероприятии CNCF, организованном Фондом Linux, обращайтесь по адресу: [eventconduct@cncf.io](mailto:eventconduct@cncf.io).

## Контроль соблюдения

После рассмотрения и проведения расследования инцидента, о котором поступила информация, обладающая юрисдикцией группа реагирования для Кодекса поведения определит, какие действия будут целесообразными, исходя из положений настоящего Кодекса поведения и связанных с ним документов.

См. информацию том, какие инциденты, связанные с Кодексом поведения, рассматриваются руководством проекта, какие инциденты рассматриваются Комитетом правил поведения CNCF, а какие инциденты рассматриваются Фондом Linux (включая его группу по организации мероприятий), в нашей [Политике о юрисдикции](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-committee-jurisdiction-policy.md).

## Изменения

В соответствии с Уставом CNCF, любые существенные изменения настоящего Кодекса поведения подлежат согласованию Комитетом технического надзора.

## Ссылки на источники

Настоящий Кодекс поведения был адаптирован в соответствии с Соглашением об авторах ([http://contributor-covenant.org](http://contributor-covenant.org/)), версия 2.0, доступным по адресу: [http://contributor-covenant.org/version/2/0/code_of_conduct/](http://contributor-covenant.org/version/2/0/code_of_conduct/)