## Topluluk Davranış Kuralları

CNCF topluluğuna katkı yapan ve topluluğun devamını sağlayan kişiler ve topluluğun katılımcıları olarak, açık ve samimi bir topluluğun gelişimini teşvik etme amacıyla; sorunları raporlayarak, özellik talepleri yayımlayarak, belgeleri güncelleyerek, çekme talepleri veya yamalar göndererek, konferanslara veya etkinliklere katılarak ya da diğer topluluk veya proje faaliyetlerinde bulunarak katılım sağlayan ya da katkıda bulunan herkese saygı duyacağımızı taahhüt ediyoruz.

CNCF topluluğuna katılımı yaş, vücut ölçüsü, sosyal sınıf, engellilik durumu, etnik köken, deneyim seviyesi, aile durumu, cinsiyet, cinsiyet kimliği ve ifadesi, medeni durum, askerlik veya gazilik durumu, milliyet, kişisel görünüm, ırk, din, cinsel yönelim, sosyoekonomik durum, kabile mensubiyeti ya da çeşitlilik bağlamında herhangi bir başka boyuttan bağımsız olarak herkes için tacizden arındırılmış bir deneyim haline getirmeye kararlıyız.

## Kapsam

Bu davranış kuralları şu alanlarda geçerlidir:
* proje ve topluluk alanları dahilinde,
* bireysel bir CNCF topluluğu katılımcısının söz veya eylemlerinin bir CNCF projesine, CNCF topluluğuna ya da bir başka CNCF topluluğu katılımcısına yönelik veya bunlar hakkında olduğu diğer alanlarda.

## CNCF Etkinlikleri

Profesyonel etkinlik personeli ile Linux Vakfı tarafından düzenlenen CNCF etkinlikleri, etkinlik sayfasında mevcut olan Linux Vakfı [Etkinlik Davranış Kuralları](https://events.linuxfoundation.org/code-of-conduct/)'na tabidir. Bu, CNCF Davranış Kuralları ile bağlantılı olarak kullanılmak üzere tasarlanmıştır.

## Standartlarımız

CNCF Topluluğu açık, kapsayıcı ve saygıya dayalı bir topluluktur. Topluluğumuzun her bir üyesi, kimliğine saygı gösterilme hakkına sahiptir.

Ortamın olumlu bir havaya sahip olmasına katkıda bulunan davranış örnekleri, bunlarla sınırlı olmamak üzere aşağıdakileri içerir:
* Diğer insanlara empati ve nezaketle yaklaşmak
* Farklı görüşlere, bakış açılarına ve deneyimlere saygılı olmak
* Yapıcı geri bildirimde bulunmak ve yapıcı geri bildirimi nezaketle kabul etmek
* Sorumluluğu kabul etmek, hatalarımızdan etkilenenlerden özür dilemek ve deneyimlerden ders çıkarmak
* Sadece bireyler olarak bizim için değil, tüm toplum için en iyisinin ne olduğuna odaklanmak
* Samimi ve kapsayıcı bir dil kullanmak

Kabul edilemez davranış örnekleri, bunlarla sınırlı olmamak üzere aşağıdakileri içerir:
* Cinselleştirilmiş dil veya imge kullanımı
* Trolleme, hakaret niteliğinde veya aşağılayıcı yorumlar ve kişisel ya da siyasi saldırılar
* Herhangi bir biçimde herkese açık veya gizli şekilde tacizde bulunmak
* Başkalarının fiziksel veya e-posta adresi gibi özel bilgilerini açık izinleri olmadan yayımlamak
* Şiddet uygulamak, şiddetle tehdit etmek ya da başkalarını şiddet içerikli davranışta bulunmaya teşvik etmek
* Sanal takip veya onayı olmadan birini takip etmek
* İstenmeyen fiziksel temas
* İstenmeyen cinsel ya da romantik ilgi veya yakınlaşma çabası
* Profesyonel bir ortamda mantıken uygunsuz kabul edilebilecek diğer davranışlar

Ayrıca aşağıdaki davranışlar da yasaktır:
* Davranış Kuralları ile ilgili bir soruşturmayla bağlantılı olarak bilerek hatalı ya da yanlış yönlendirici bilgi vermek veya soruşturmayı farklı biçimlerde kasti olarak etkilemeye çalışmak.
* Tanık olarak bir olayı rapor ettiği ya da olay hakkında bilgi verdiği için bir kişiye karşı misillemede bulunmak.

Proje sorumluları, bu Davranış Kuralları ile uyumlu olmayan yorumları, girişleri, kodları, wiki düzenlemelerini, sorunları ve diğer katkıları kaldırma, düzenleme ya da reddetme hakkına ve sorumluluğuna sahiptir. Proje sorumluları, bu Davranış Kurallarını kabul ettiklerinde bir CNCF projesi yönetmenin her aşamasında söz konusu ilkeleri adil ve tutarlı bir biçimde uygulama taahhüdünde bulunmuş olur. Davranış Kurallarını uygulamayan ya da yürürlüğe koymayan proje sorumluları, proje ekibinden geçici veya kalıcı olarak çıkarılabilir.

## Raporlama

Kubernetes topluluğunda meydana gelen olaylar için [conduct@kubernetes.io](mailto:conduct@kubernetes.io) adresi üzerinden [Kubernetes Davranış Kuralları Komitesi](https://git.k8s.io/community/committee-code-of-conduct) ile iletişime geçin. Normal şartlarda üç iş günü içinde yanıt alırsınız.

Diğer projeler veya projeden bağımsız olan ya da birden fazla CNCF projesini etkileyen olaylar için lütfen [conduct@cncf.io](mailto:conduct@cncf.io) adresi üzerinden [CNCF Davranış Kuralları Komitesi](https://www.cncf.io/conduct/committee/) ile iletişime geçin. Alternatif olarak, raporunuzu göndermek için [CNCF Davranış Kuralları Komitesi](https://www.cncf.io/conduct/committee/) üyelerinin herhangi biri ile iletişime geçebilirsiniz. Bir raporun nasıl gönderileceğine ilişkin daha ayrıntılı talimatlar için lütfen [Olay Çözümleme Prosedürlerimize](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-incident-resolution-procedures.md) bakın. Normal şartlarda üç iş günü içinde yanıt alırsınız.

Linux Vakfı tarafından düzenlenen bir CNCF etkinliğinde meydana gelen olaylar için lütfen [eventconduct@cncf.io](mailto:eventconduct@cncf.io) ile iletişime geçin.

## Uygulama

Rapor edilen bir olayın incelenip soruşturulmasının ardından yargı yetkisine sahip olan CoC müdahale ekibi, bu Davranış Kuralları ve ilgili belgeleri esas alarak hangi eylemin uygun olduğuna karar verecektir.

Hangi Davranış Kuralları olaylarının proje liderliği tarafından, hangi olayların CNCF Davranış Kuralları Komitesi tarafından ve hangi olayların Linux Vakfı (vakfın etkinlikler ekibi dahil) tarafından ele alındığı hakkında bilgi için [Yargı Yetkisi Politikamıza](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-committee-jurisdiction-policy.md) bakın.

## Değişiklikler

CNCF Sözleşmesi ile tutarlı olacak şekilde bu Davranış Kuralları'nda yapılacak tüm önemli değişiklikler, Teknik Denetim Komitesi tarafından onaylanmalıdır.

## Teşekkür

Bu Davranış Kuralları, [http://contributor-covenant.org/version/2/0/code_of_conduct/](http://contributor-covenant.org/version/2/0/code_of_conduct/) adresinde bulunan Katılımcı Sözleşmesi'nin ([http://contributor-covenant.org](http://contributor-covenant.org/)) 2.0 numaralı sürümünden uyarlanmıştır.