## 社区行为准则

作为 CNCF 社区的贡献者、维护者和参与者，我们努力建设一个开放和受欢迎的社区，我们承诺尊重所有上报 Issue、发布功能需求、更新文档、提交 PR 或补丁、参加会议或活动以及其他社区和项目活动的贡献者和参与者。

我们致力于让参与 CNCF 社区的每个人都不受骚扰，无论其年龄、体型、种姓、残疾、族裔、经验水平、家庭状况、性别、性别认同和表达、婚姻状况、军人或退伍军人身份、国籍、个人外表、种族、宗教、性取向、社会经济地位、部落或任何其他多样性维度如何。

## 范围

本行为准则适用于：

* 项目和社区空间，
* 其他空间（在个别 CNCF 社区参与者的言论或行动针对或涉及 CNCF 项目、CNCF 社区或其他 CNCF 社区参与者的情况下）。

## CNCF 活动

由 Linux 基金会和专业活动人员举办的 CNCF 活动受 Linux 基金会[《活动行为准则》](https://events.linuxfoundation.org/code-of-conduct/)管辖，该行为准则可在活动页面获得。 该准则旨在与《CNCF 行为准则》结合使用。

## 我们的标准

CNCF 社区是一个开放、包容和互相尊重的社区。我们社区的每个成员都有权让自己的身份受到尊重。

有助于营造积极环境的行为示例包括但不限于：

* 对他人表现出同理心和善意
* 尊重不同的意见、观点和经验
* 提供并优雅地接受建设性反馈
* 承担责任，向那些受我们错误影响的人道歉，并从经验中吸取教训
* 关注点不只放在如何让我们自己受益，还要着眼于整个社区
* 使用欢迎和包容性的语言

不可接受的行为示例包括但不限于：

* 使用性语言或图像
* 挑衅、侮辱或贬损的言语，以及个人或政治攻击
* 任何形式的公开或私下骚扰
* 未经明确许可，发布他人的私人信息，比如实际地址或电子邮件地址
* 暴力，威胁暴力，或鼓励他人参与暴力行为
* 未经同意跟踪或跟随他人
* 不受欢迎的身体接触
* 不受欢迎的与性有关的或调情性质的关注或示爱
* 其他在专业环境中被合理认为不适当的行为

同样禁止以下行为：

* 故意提供与行为准则调查有关的虚假或误导性信息，或以其他方式故意干预调查。
* 因为某人作为证人报告了事件或提供了有关事件的信息而对其进行报复。

项目维护者有权且有责任删除、编辑或拒绝与本行为准则不一致的评论、提交、代码、Wiki 编辑、问题和其他贡献。采用本行为准则即表明，项目维护者承诺公平且一致地将这些准则应用于管理 CNCF 项目的各个方面。不遵守或不执行行为准则的项目维护者可能被临时或永久地从项目团队中移除。

## 报告

对于在 Kubernetes 社区中发生的事件，请通过 [conduct@kubernetes.io](mailto:conduct@kubernetes.io) 联系 [Kubernetes 行为准则委员会](https://git.k8s.io/community/committee-code-of-conduct)。预计您可以在三个工作日内收到答复。

对于其他项目，或与项目无关或影响多个 CNCF 项目的事件，请通过 [conduct@cncf.io](mailto:conduct@cncf.io) 与 [CNCF 行为准则委员会](https://www.cncf.io/conduct/committee/)联系。或者，您可以联系 [CNCF 行为准则委员会](https://www.cncf.io/conduct/committee/)的任何个人成员提交您的报告。有关如何提交报告（包括如何匿名提交报告）的更详细说明，请参阅我们的[事件解决程序](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-incident-resolution-procedures.md)。预计您可以在三个工作日内收到答复。

关于由 Linux 基金会组织的发生在 CNCF 活动中的事件，请联系 [eventconduct@cncf.io](mailto:eventconduct@cncf.io)。

## 执行

在对报告的事件进行审查和调查后，具有管辖权的 CoC 响应团队将根据本行为准则及其相关文件决定采取何种适当行动。

有关哪些行为准则事件由项目领导处理，哪些事件由 CNCF 行为准则委员会处理，以及哪些事件由 Linux基金会（包括其事件团队）处理的信息，请参阅我们的[管辖权政策](https://github.com/cncf/foundation/blob/main/code-of-conduct/coc-committee-jurisdiction-policy.md)。

## 修正

与 CNCF 章程一致，对本行为准则的任何实质性修改必须得到技术监督委员会的批准。

## 致谢

本行为准则改编自《贡献者公约》 ([http://contributor-covenant.org](http://contributor-covenant.org/))，该文件的 2.0 版本载于 [http://contributor-covenant.org/version/2/0/code_of_conduct/](http://contributor-covenant.org/version/2/0/code_of_conduct/)
