# CNCF Legal Committee Charter

(a) The responsibilities of the Legal Committee include making recommendations to the Governing Board in response to questions submitted to the Legal Committee by the Governing Board.  For clarity, the Legal Committee does not represent CNCF and does not have an attorney-client relationship with CNCF.

(b) Participation on the Legal Committee is optional. The voting members of the Legal Committee will consist of attorney representatives from Platinum, Gold, and Silver Members who have appointed seats on the Governing Board.  Governing Board members appointed by such Platinum, Gold, and Silver Member companies who wish to participate on the Legal Committee may do so together with any attorney representative of their company.  Additionally, the Governing Board may designate one or more Governing Board members to attend Legal Committee meetings as non-voting liaison observers. 

(c) In the event that the attorney representative appointed by an eligible Member company is unable to attend a Legal Committee meeting, the Member company may send an alternate attorney representative to that meeting which alternate representative may participate in voting. 

(d) Decisions will be made based on consensus whenever practicable. If, however, any decision requires a vote to move forward, attorney representatives of the Member companies participating in the Legal Committee will vote on a one vote per Member company basis.  Actions and recommendations of the Legal Committee may be approved by the absence of sustained objection or an affirmative vote of a simple majority.  Abstentions will be excluded from the denominator for purposes of determining whether a majority has voted affirmatively; in other words, an action will be approved when the number of “FOR” votes exceeds the number of “AGAINST” votes.

(e) Except where a different quorum requirement is set forth in this charter, quorum for any vote shall require attendance or participation by at least fifty percent (50%) of active voting members of the Legal Committee. For purposes of calculating quorum for any meeting or vote, a committee member shall be deemed “active” if they or an alternate designated by their company have attended any meeting or participated in any vote (including the then-current meeting or vote) during the prior six (6) months. Any member who is not active shall be excluded from the denominator for purposes of calculating quorum. “Abstain” votes shall be counted as attendance or participation for purposes of determining quorum and determining whether a member is active or inactive.

(f) Legal Committee members shall be provided with notice of the date and time and proposed agenda of a regular meeting at least fourteen (14) calendar days in advance of the meeting.  If a vote will be held at the meeting, the matter to be voted upon must be included in the agenda for the meeting.  In the event the Governing Board determines it is necessary to call an emergency meeting of the Legal Committee, at least five (5) calendar days notice of the date and time and proposed agenda for the meeting shall be provided, and Legal Committee members will be given the option to vote either at the emergency meeting or by email or electronic ballot.

(g) Subject to the other requirements in this charter, voting may be conducted (i) during a meeting that complies with the notice requirements of paragraph (f) of this charter; (ii) by email, (iii) by written or electronic ballot; or (iv) a combination of the foregoing.  Votes cast at a duly called meeting, even if attendance at the meeting is less than a quorum, may be combined with votes cast by email or electronic ballot before or after the meeting. 

(h) Voting on license exceptions to the “IP Policy” section of the CNCF Charter may take place with or without a meeting. If such voting takes place entirely by email or electronic ballot without a meeting, the deadline for voting shall be not less than fourteen (14) calendar days after the vote is first solicited. If the votes on the matter (excluding abstentions) are unanimous and no legal committee member requests a meeting or objects to voting without a meeting, affirmative votes (excluding abstentions) from at least three (3) committee members shall constitute quorum; otherwise, the standard quorum requirements of paragraph (e) shall apply to a vote conducted without a meeting in accordance with this paragraph (h).

(i) For all matters other than license exceptions to the “IP Policy” section of the CNCF Charter, a meeting that complies with the notice requirements of paragraph (f) of this charter shall be held to discuss the matter. 

(j) If a vote is conducted at a meeting that meets the notice requirements of paragraph (f) of this charter but a quorum of at least fifty percent (50%) of active voting members is not present at the meeting, additional votes may be solicited after the meeting, and the deadline for submitting additional votes by email or electronic ballot shall be not less than seven (7) calendar days after the meeting in the case of a non-emergency meeting, and not less than  four (4) calendar days after the meeting in the case of an emergency meeting. For any vote on license exceptions to the “IP Policy” section of the CNCF Charter conducted in accordance with the procedures set forth in this paragraph (j), quorum shall be reduced so that attendance at the meeting or participation in the vote by at least three (3) members of the Legal Committee (including abstentions) shall constitute quorum.

**Approval and Revision History**

Approved by the CNCF Governing Board on March 30, 2023

Amended by the CNCF Governing Board on July 16, 2024
