## Background ##

In 2016, [Deis](http://deis.io/) (now part of Microsoft Azure) platform architect Matt Butcher was looking for a way to explain Kubernetes to technical and non-technical people alike. Inspired by his daughter’s prolific stuffed animal collection, he came up with the idea of [“The Children’s Illustrated Guide to Kubernetes.”](https://www.cncf.io/phippy/the-childrens-illustrated-guide-to-kubernetes/) With Karen Chu, and Bailey Beougher, he created Phippy, the yellow PHP application giraffe, and set her off on her first adventure.

In 2018, Phippy was donated to the Linux Foundation and today the Phippy characters are free to use to teach others about cloud native computing.

## Phippy’s mission ##

From a humble PHP app, Phippy has gone on to help thousands of folx take their first steps to understanding cloud native computing - from containerisation to automation. Today, Phippy and Friends’ mission is to demystify cloud native computing and explain complicated concepts in a compelling, engaging and easy-to-understand manner.

It’s not just for bedtime stories, you can use the Phippy and Friends characters in your day-to-day work, especially when you’re tasked with explaining your team’s projects and products to folx who don’t share the same technical background.

## We’re a CNCF Project - how do we get a character? ##

Any graduated CNCF project is welcome to donate a character to the Phippy and Friends family, and we encourage you to do so. Not only does this help expand the educational outreach of the program, but it also provides more marketing and engagement opportunities for your project.

TTo get started, please [file a request](https://form.asana.com/?k=oh-3qL8bEm0Vb-7plwTTeQ&d=9283783873717)

### What’s Involved? ###

CNCF will provide illustrations (you can use your designer if you prefer).

Once your character is finalized, CNCF will promote them through inclusion in events, social media mentions, and blogs. You don’t have to write a book about your character, but they may appear in future Phippy and Friends adventures.

### Guidelines for Phippy Characters ###

Phippy and Friends help explain cloud native computing to technical and non-technical people. As project maintainers, you are free to choose the character you feel best represents your project, and your imagination is unlimited.

However, there are some requirements around new characters to ensure that every project is fairly represented:

* Characters can be any animal you choose, and the animal does not necessarily need to be alive today (who doesn’t love dinosaurs?!)
* The first letter of your character’s name should match the first letter of your project and the first letter of your chosen animal (e.g. Goldie the Go Gopher). 
* Characters should ideally be a specific animal, and not a collective noun for a species (for example, the Prometheus Puppy is not specific enough, but you could have the Prometheus Pug).
* Characters should also be child-friendly, as Phippy and Friends are often used to help younger people learn about cloud native computing.

## Project-Related Books & Signings ##

### Purpose: ###
CNCF project-related books are designed to simplify complex concepts and technical content, making them accessible to adults and young coders. These books use clear, engaging language combined with fun, colorful picture editorials to make learning about cloud native technologies enjoyable and memorable.

These books serve not only as valuable learning resources but also as gateways into the cloud-native ecosystem. By presenting project concepts approachable and engagingly, they cater to a diverse audience, helping readers of all ages connect with the material. Through a blend of technical insights and fun editorial elements, CNCF project books break down barriers to understanding, making sophisticated technologies accessible to everyone.

### Process for Book Creation + Signings ###

#### 1. Eligibility: ####
Only books related to CNCF projects are eligible for the program. This includes books authored by maintainers or contributors who directly work with the project.

#### 2. Books Creation & Funding: ####
CNCF is willing to provide full funding for creating and distributing these books through its marketing budget if approved. Projects must [submit a proposal](https://form.asana.com/?k=oh-3qL8bEm0Vb-7plwTTeQ&d=9283783873717) outlining their book concept and how it aligns with the project’s goals and potential community impact.

#### 3. Submission: ####
Projects interested in having their book included in the program must submit a request via the CNCF book creation form. All proposals should be submitted three to four months before the desired KubeCon + CloudNativeCon event. The submission should include:
* A brief description of the book
* Estimated production timeline
* Any specific promotional materials or branding related to the book

#### 4. Approval & Scheduling: ####
Once the book proposal is submitted, the CNCF marketing team will review it and contact the submitters directly to discuss their book concept. If approved, the project will be eligible to schedule one book signing of their choice at a KubeCon + CloudNativeCon event.

#### 5. Book Signing Events: ####
Approved books will be promoted through the event’s official channels and digital displays. CNCF will coordinate the time and location of the signing, which will be included in the event’s agenda. This signing allows authors to engage with attendees and promote their work.

#### 6. Post-Event Availability: ####
The books will be available for purchase through the CNCF online store after the event. 

## Books for Kids Day or Workshops ##

### Purpose: ###
CNCF project-related books are designed to simplify complex concepts and technical content, making them accessible to adults and young coders. These books use clear, engaging language combined with fun, colorful picture editorials to make learning about cloud native technologies enjoyable and memorable.

These books serve not only as valuable learning resources but also as gateways into the cloud-native ecosystem. By presenting project concepts approachable and engagingly, they cater to a diverse audience, helping readers of all ages connect with the material. Through a blend of technical insights and fun editorial elements, CNCF project books break down barriers to understanding, making sophisticated technologies accessible to everyone

### Process for Book Creation + Signings ###

#### 1. Eligibility: ####
Books created specifically for Kids Day or workshops aimed at young or new coders should be designed to engage and educate younger audiences or beginners about cloud native technologies in a fun and approachable way. Any book created for a Kids Day must be submitted to the [events team](events@cncf.io) and [marketing team](marketing@cncf.io) to share with the Kids Day leads to approve the content for the program.

Books created for workshops must be shared with the [marketing team](marketing@cncf.io) for review and approval. 

#### 2. Sponsorship & Funding: ####
Books created for Kids Day or workshops must secure a sponsor to cover the printing and distribution costs. This sponsor will be responsible for covering these costs and ensuring that the books can be distributed to attendees of these events free of charge. CNCF does not provide direct funding for these books through its marketing or event budgets.

#### 3. Submission: ####
Projects interested in creating books for Kids Day or workshops must submit a proposal to CNCF’s marketing team. This submission should include:
* A brief description of the book + workshop
* Estimated production timeline
* Any specific promotional materials or branding related to the book
* A commitment from a sponsor to cover the costs
* Indicate which Kids Day or workshop you’d like to provide the book for
* Book details must be received no later than 12 weeks before the Kids Day or Workshop

#### 4. Approval & Scheduling at Kids Day: ####
Once the proposal is submitted, the CNCF marketing team will review it and share the book for approval with the Kids Day leads. The authors can schedule a book signing during the Kids Day event upon approval. However, book signings during the main KubeCon + CloudNativeCon event cannot be scheduled. CNCF will coordinate the time and location of the book signing, which will be included in the event’s agenda.CNCF will coordinate the time and location of the book signing, which will be included in the event’s agenda.

#### 5. Distribution of Books at Kids Day: ####
The approved books can be distributed at Kids Day. 

#### 6. Post-Event Availability: ####
After the event, the books will not be sold at the on-site store at KubeCon + CloudNativeCon. However, if the authors decide to donate the book for distribution, it will still be available for purchase through the CNCF online store.


## FAQs ##

#### Do I have to write a book? ####
No, you don’t have to write a book. But your character might appear in future Phippy and Friends stories, as well as at CNCF events and in presentations by the community.

Of course, we welcome your stories. If you’d like to work on a new Phippy and Friends adventure, we will support you in the editorial process—from the initial storyboard to editing and illustrating. We will also promote your book through dedicated marketing campaigns.

#### We’re not a CNCF Project - can we use Phippy and Friends? ####
Yes, you can. The Phippy and Friends characters (Phippy, Captain Kube, Zee, Linky, Hazel, Cappy, Izzy, Keddy, Owlina, Obee, Tai, and Tiago) are licensed under the Creative Commons Attribution License (CC-BY), which means that you can remix, transform, and build upon the material for any purpose even commercially. If you use the characters, please include the text “phippy.io” to provide attribution (and online, please include a link to (https://phippy.io)).

#### What collateral is available? ####
Images of the Phippy characters are available in the CNCF artwork [repo](https://github.com/cncf/artwork) in SVG, PNG, and AI formats, in color and black and white. Phippy and Friends hard-copies of books and plush toys are on the [CNCF store.](https://store.cncf.io/collections/cncf).

#### If my project isn't Graduated can I still get a Phippy Character ####
No, Phippy + Friends characters are only available for Graduated projects of the CNCF. 

#### Can my character created for a Kids Day book be displayed on the CNCF webisite? ####
No, we only display Graduated project characters.
